#ifndef __UTILS_H
#define __UTILS_H

#include <windows.h>
#include <stdio.h>
#include <conio.h>
#include "..\Include\PCI3120.h"

/**
* wait for the ESC key 
**/
void WaitForESC();

/**
* Enables to give to the user the choice to open a board
* The function also enables (first) to display informations about the available boards
* @return 0 success, != 0 error
**/
INT OpenBoard(HANDLE * deviceHandle);

/**
* Display a sort of progress bar
**/
void DisplayRunningStatus();

/**
* Enable to read a ulong from the keyboard
* @param description: A description string that is printed to give some information about the value that must be given
**/
void ReadUlong( char* description, ULONG minValue, ULONG maxValue, ULONG* readValue );



#endif